/* ***** heart ***** */
.card__heart {
    width: 30px;
    height: 30px;
    cursor: pointer;
    .far {
        position: absolute;
        opacity: 1;
    }
    .fas {
        opacity: 0;
    }
    &:active > .fas {
        animation: opacity 1s linear both;
        background: $color-primary;
        @include gradientColor;   
        -webkit-background-clip: text;
        background-clip: text;
        -webkit-text-fill-color: transparent;
    }
    &:active > .far {
        animation: opacity 1s linear reverse both;
    }
    @media screen and (min-width: 1040px){
        &:hover > .far {
            animation: opacity 1s linear reverse both;
        }
    }
    @media screen and (min-width: 1040px){
        &:hover > .fas {
            animation: opacity 1s linear both;
            background: $color-primary;
            @include gradientColor;   
            -webkit-background-clip: text;
            background-clip: text;
            -webkit-text-fill-color: transparent;
        }
    }
}
@keyframes opacity {
    from {
        opacity: 0;
    } to {
        opacity: 1;
        
    }
}

/* ***** loading ***** */
.loading {
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index: -1;
    animation-name: loading-spinner;
    animation-duration: 3.5s;
    animation-timing-function: linear;
    animation-fill-mode: backwards;
    &__spinner {
        width: 100%;
        height: 100vh;
        position: fixed;
        transform: translate(50%, 50%);
        .ball {
            width: 20px;
            height: 20px;
            border-radius: 100%;
            animation: spinner-ball 1.4s 3 ease-in-out forwards;
        }
        & > :nth-child(1) {
            background-color: $color-primary;
            animation-delay: -0.32s;
        }
        & > :nth-child(2) {
            background-color: $color-secondary;
            animation-delay: -0.16s;
        }
        & > :nth-child(3) {
            background-color: $color-tertiary;
        }

    }
}
@keyframes loading-spinner {
    0% {
        opacity: 0.5;
        background-color: black;
        z-index: 11;
    }
    100% {
        opacity: 0.5;
    }
}
@keyframes spinner-ball {
    0%, 80%, 100%{
        opacity: 1;
        transform: scale(0);
        transform: scale(0);
    } 40% {
        opacity: 1;
        transform: scale(1);
        transform: scale(1);
    }
}
.menu {
    .menu-card {
        transform-origin: bottom;
        animation-name: plats-progress;
        animation-duration: 1000ms;
        animation-fill-mode: both;
    }
    & > :nth-child(2) {
        animation-delay: 50ms;
    }
    & > :nth-child(3) {
        animation-delay: 300ms;
    }
    & > :nth-child(4) {
        animation-delay: 550ms;
    }
    & > :nth-child(5) {
        animation-delay: 800ms;
    }
}
@keyframes plats-progress {
    from {
        opacity: 0;
        transform: translateY(10px);
    } to {
        opacity: 1;
        transform: translateY(0px);
    }
}

/* ***** check **** */
.menu-card {
    &:active .check {
     width: 25%;
    > .fa-check-circle {
        opacity: 1;
        animation: rotation 400ms linear;
        }
    }
    @media screen and (min-width: 1040px) {
        &:hover .check {
            width: 25%;
           > .fa-check-circle {
               opacity: 1;
               animation: rotation 400ms linear;
               }
           }
    }
}
.fa-check-circle {
    opacity: 0;
    transition: 700ms;
}
.check {
    transition: width 500ms linear;
    width: 0;
    background-color: $color-tertiary;
    color: white;
    border-radius: 0 12px 12px 0;
    cursor: pointer;
    justify-content: center;
    transform-origin: right center;
    display: flex;
    justify-content: center;
    align-items: center;

}
@keyframes rotation {
    0%{
        transform: rotate(0);
    } 
    50% {
        transform: rotate(180deg);
    } 
    100% {
        transform: rotate(360deg);
    }
}